View Issue Details

IDProjectCategoryView StatusLast Update
0023378mantisbtinstallationpublic2018-03-16 06:50
ReporteratrolAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.6.0 
Target Version2.7.0Fixed in Version2.7.0 
Summary0023378: Installation fails when using old but still allowed PHP version 5.3
Description

There are users in forum reporting problems when trying to install MantisBT 2.6.0.
http://www.mantisbt.org/forums/viewtopic.php?f=3&t=24959

One root cause seems to be using outdated PHP versions.

e.g. users get

[18-Sep-2017 09:37:18 UTC] PHP Parse error: syntax error, unexpected '[' in ../mantisbt26/vendor/guzzlehttp/psr7/src/functions.php on line 78

because array syntax introduced in PHP 5.4 is used.

function stream_for($resource = '', array $options = [])

At the moment we check for PHP minimum version 5.3.2, but have documented in Admin Guide to use at least 5.5.

Guzzle itself tells to use at least 5.5.x https://github.com/guzzle/guzzle#version-guidance

This issue is not to reintroduce PHP 5.3 support but to enforce usage of PHP >= 5.5.0.

TagsNo tags attached.

Relationships

related to 0023381 closedatrol Unneeded code for unsupported PHP versions 
related to 0024128 closedatrol Unable to start system check or installation with wrong PHP version 

Activities

Related Changesets

MantisBT: master 380fde11

2017-09-20 05:36:27

atrol

Details Diff
Enforce usage of PHP >= 5.5.0

Fixes 0023378
Affected Issues
0023378
mod - core/php_api.php Diff File

Issue History

Date Modified Username Field Change
2017-09-20 05:29 atrol New Issue
2017-09-20 05:29 atrol Status new => assigned
2017-09-20 05:29 atrol Assigned To => atrol
2017-09-20 05:38 atrol Note Added: 0057763
2017-09-20 05:38 atrol Target Version => 2.7.0
2017-09-20 14:15 atrol Changeset attached => MantisBT master 380fde11
2017-09-20 14:15 atrol Status assigned => resolved
2017-09-20 14:15 atrol Resolution open => fixed
2017-09-20 14:15 atrol Fixed in Version => 2.7.0
2017-09-20 15:18 atrol Description Updated View Revisions
2017-09-20 15:21 atrol Relationship added related to 0023381
2017-10-08 23:52 vboctor Status resolved => closed
2018-03-16 06:50 atrol Relationship added related to 0024128